Records
Bulk Delete Records
Permanently delete up to 100 records in a single request using either table ID or table name.
DELETE
/
bases
/
{databaseId}
/
tables
/
{tableId}
/
records
/
bulk
Bulk delete records
curl --request DELETE \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIds": [
"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"
]
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk"
payload = { "recordIds": ["d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb", "5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recordIds: ['d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb', '5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e']
})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"deletedCount": 2
}This action cannot be undone.
Record IDs that do not exist are skipped rather than causing the request to fail, so
deletedCount in the response can be lower than the number of IDs you sent.{
"recordIds": [
"d4b3c2a3-c46b-46a1-a8ec-81b664bb41cb",
"5f0895cb-8f2b-4a2a-9d15-3f3a3f6f0f1e"
]
}
Authorizations
Enter your Zite API key. Format: Bearer <api_key>
Path Parameters
The unique identifier of the database
The unique identifier of the table. You can also use the table name instead of the ID.
Body
application/json
The UUIDs of the records to delete.
Required array length:
1 - 100 elements⌘I
Bulk delete records
